faked(1)

NAMN
faked - daemon that remembers fake ownership/permissions of files manipulated by fakeroot processes.

SYNOPSIS
faked [--debug] [--foreground] [--cleanup] [--key msg-key] [--load] [--save-file save-file] [--port TCP-port]

BESKRIVNING
If a fakeroot process wants to change the ownership of a file, then faked is the process that remembers that new owner. If later the same fakeroot process does a stat() for that filename, then the libfakeroot wrapped stat() call will first ask faked for the fake ownership etc of that file, and then report it.

FLAGGOR

--debug
    Skriv ut avlusningsinformation via stderr.

--foreground
    Don't fork into the background.

--cleanup  number
    Cleanup the semaphores.

--key  nyckelvärde
    Don't allocate a new communication channel, but use channel specified by key. (If the specified channel doesn't exist, it's created).

--save-file  save-file
    Save the environment to save-file on exit.

--load
    Load a previously saved environment from the standard input.

--unknown-is-real
    Use real ownership of previously-unknown files instead of setting them to root:root.

--port  tcp-port
    Use TCP port tcp-port.

BUGGAR
Inga kända. Tag dock i beaktande, att även om jag skrivit ett flertal större (och mindre) program, så har jag aldrig skrivit något så litet som fakeroot, som har så många buggar som fakeroot, och ändå varit så användbart som, låt säga, fakeroot version 0.0_3, den första versionen av programmet som kunde användas för att bygga sig själv.

LICENS
fakeroot distribueras under GNU General Public License. (GPL 2.0 eller senare).

FÖRFATTARE

joost witteveen
    <joostje@debian.org>

Clint Adams
    <clint@debian.org>

Timo Savola

ÖVERSÄTTNING
David Weinehall <tao@kernel.org>

MANUALSIDA
mostly by J.H.M. Dassen <jdassen@debian.org> mods/additions by joost and Clint.

SE ÄVEN
fakeroot(1), dpkg-buildpackage(1), debuild(1) /usr/share/doc/fakeroot/DEBUG